const o = (t, r, e = !0) => t.length !== r.length ? !1 : e ? t.sort().toString() === r.sort().toString() : t.toString() === r.toString(), s = (t, r) => {
  const e = /* @__PURE__ */ new Map();
  return t.filter((n) => !e.has(n[r]) && e.set(n[r], 1));
};
export {
  o as arrEqual,
  s as arrUnique
};
